Page MenuHomePhabricator

Support language selection for suggestions
Closed, ResolvedPublic

Description

The initial implementation of suggestions (T106405) does not provide options to change the languages suggestions are provided for.
We should allow users to select the languages they want for their suggestions:

  • Allow to select any language. Users should be able to select any language pair and get suggestions for it. Note that this should only apply to the suggestions view. For the rest of the views (in progress, and published) it makes sense to act as usual (filtering the languages used in translations and with a generic "any languages" by default).
  • Facilitate selection of usual languages. The ULS language selector should be provided including a "Common languages" section that provides quick access to the usual user languages (languages used for translating as well as the usual criteria based on browser, location and previous selections).
  • Prevent from selecting the same language as both source and target. Users should not be able to select "English > English". To prevent that, we can use a "swap" strategy as it is done in the new translation dialog: If the initial selection is "A>B", and the user modifies "B" to be "A", the resulting selection will be "B>A". That not only prevents the issue but also allows users to easily reverse the translation direction (i.e., changing from "English>Hindi" to "Hindi > English" in one go).
  • Use smart defaults. Especially for first time users we may not have previous language choices info. We can start by a simply using the current wiki language as target language and make a best chance choice based on our stats for source (e.g., English if it is not the target).

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 8:40 AM
Amire80 triaged this task as Normal priority.Sep 10 2015, 9:12 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 12 2015, 1:17 PM
Arrbee assigned this task to santhosh.Sep 15 2015, 6:17 AM
Arrbee added a project: LE-CX6-Sprint 4.
Arrbee added a subscriber: Arrbee.

First iteration in the current sprint to support initial enablement

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 4 board.Sep 15 2015, 6:18 AM

Change 238401 had a related patch set uploaded (by Santhosh):
Suggestions: Allow selecting languages

https://gerrit.wikimedia.org/r/238401

Change 238401 merged by jenkins-bot:
Suggestions: Allow selecting languages

https://gerrit.wikimedia.org/r/238401

The language list dropdown goes over the window if a selection is made from the options in the lower section and then the dropdown is reopened again.

Change 240032 had a related patch set uploaded (by Santhosh):
Dashboard: Use ULS for language selection

https://gerrit.wikimedia.org/r/240032

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.

Change 240032 merged by jenkins-bot:
Dashboard: Use ULS for language selection

https://gerrit.wikimedia.org/r/240032

Amire80 closed this task as Resolved.Oct 1 2015, 8:02 PM
Amire80 added a subscriber: Amire80.

Closing this - it is resolved, deployed and verified.

There are some little follow-up things to fix, but they are reported separately and they are not blockers.

Closing this - it is resolved, deployed and verified.
There are some little follow-up things to fix, but they are reported separately and they are not blockers.

Can you link to the tickets of follow-up things? For example, from the description I see "Prevent from selecting the same language as both source and target. " which seems to be missing, but I'm not sure if it has already its own ticket.

Arrbee moved this task from In Progress to Done on the LE-CX6-Sprint 4 board.Oct 7 2015, 4:27 AM